{{ ansible_managed | comment }}

# interfaces(5) file used by ifup(8) and ifdown(8)

auto lo
iface lo inet loopback

auto eth0
iface eth0 inet static
  address {{hetzner_server_ip}}
  netmask 32
  gateway {{hetzner_gateway_ip}}
  pointopoint {{hetzner_gateway_ip}}
  dns-nameservers 213.133.98.98 213.133.99.99 213.133.100.100

iface eth0 inet6 static
  address {{ hetzner_ipv6_subnet | ansible.utils.ipmath(1) | ansible.utils.ipv6('address') }}
  netmask 128

iface eth0 inet6 static
  address {{ hetzner_ipv6_subnet | ansible.utils.ipmath(2) | ansible.utils.ipv6('address') }}
  netmask 128
  gateway fe80::1
  dns-nameservers 2a01:4f8:0:1::add:1010 2a01:4f8:0:1::add:9999 2a01:4f8:0:1::add:9898

{% for vlan in hetzner_vlans %}
auto vlan{{vlan.id}}
iface vlan{{vlan.id}} inet manual
    vlan-raw-device eth0
    vlan-id {{vlan.id}}
    mtu 1400
    up sysctl -w net.ipv6.conf.vlan{{vlan.id}}.autoconf=0
    up sysctl -w net.ipv6.conf.vlan{{vlan.id}}.accept_ra=0
{% for ip in vlan.ips | default([]) | ansible.utils.ipv6 %}
iface vlan{{vlan.id}} inet6 static
    address {{ip|ansible.utils.ipv6('address')}}/{{ip|ansible.utils.ipv6('prefix')}}
{% endfor %}
{% for ip in vlan.ips | default([]) | ansible.utils.ipv4 %}
iface vlan{{vlan.id}} inet static
    address {{ip|ansible.utils.ipv4('address')}}/{{ip|ansible.utils.ipv4('prefix')}}
{% endfor %}
{% endfor %}

# Include files from /etc/network/interfaces.d:
source-directory /etc/network/interfaces.d
